@charset "utf-8";

/*==================================
　スマートフォン用ナビゲーション
===================================*/

@media screen and (max-width:767px) {
    /*　ハンバーガーメニューボタン　*/
    .hamburger {
        display: block;
        position: fixed;
        z-index: 3;
        right: 5px;
        top: 5px;
        width: 42px;
        height: 53px;
        cursor: pointer;
        text-align: center;
        background-color: #fff;
    }

    .hamburger span {
        display: block;
        position: absolute;
        width: 30px;
        height: 2px;
        left: 6px;
        background: #005bab;
        -webkit-transition: 0.3s ease-in-out;
        -moz-transition: 0.3s ease-in-out;
        transition: 0.3s ease-in-out;
    }

    .hamburger span:nth-child(1) {
        top: 10px;
    }

    .hamburger span:nth-child(2) {
        top: 20px;
    }

    .hamburger span:nth-child(3) {
        top: 30px;
    }

    .hamburger > div {
        position: absolute;
        top: 33px;
        left: 4px;
        font-size: 12px;
    }

    /* スマホメニューを開いてる時のボタン */
    .hamburger.active span:nth-child(1) {
        top: 16px;
        left: 6px;
        background: #005bab;
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    .hamburger.active span:nth-child(2),
    .hamburger.active span:nth-child(3) {
        top: 16px;
        background: #005bab;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    /* メニュー背景　*/
    nav.globalMenuSp {
        height: 100vh;
        position: fixed;
        z-index: 2;
        top: 0;
        left: 0;
        color: #fff;
        background: linear-gradient(to top, #005bab, #0d87ba);;
        text-align: center;
        width: 100%;
        transform: translateX(-100%);
        transition: all 0.6s;
    }

    nav.globalMenuSp ul {
        margin: 0 auto;
        padding: 10px 0 0 0;
        width: 100%;
        overflow: auto;
    }

    nav.globalMenuSp ul li {
        list-style-type: none;
        padding: 0;
        width: 100%;
        transition: .4s all;
        border-bottom: 1px solid #005bab;
    }

    nav.globalMenuSp ul li:last-child {
        padding-bottom: 0;
    }

    nav.globalMenuSp ul li:hover {
        background: #FFFFFF;
    }

    nav.globalMenuSp ul li.active {
        background: #FFFFFF;
    }

    nav.globalMenuSp ul li.active a {
        color: #179fcb;
    }

    nav.globalMenuSp ul li a {
        display: block;
        color: #fff;
        padding: 0.65em 0;
        text-decoration: none;
    }

    /* クリックでjQueryで追加・削除 */
    nav.globalMenuSp.active {
        opacity: 100;
        display: block;
        transform: translateX(0%);
    }

    nav.globalMenuSp ul li a span > br {
        display: none;
    }
}

/*==================================
　PC用ナビゲーション
===================================*/

@media (min-width: 768px) {
    
    /* PCでは、表示させない */
    .hamburger {
        display: none;
    }

    .menu li {
        width: 220px;
        margin-left: auto;
        margin-right: auto;
    }

    .menu li:not(:last-child) {
        margin-bottom: 2px;
    }

    .menu li a {
        display: flex;
        align-items: center;
        width: 220px;
        height: 48px;
        background-image: linear-gradient(#ffffff, #ffffff);
        background-position: left bottom;
        background-repeat: no-repeat;
        background-size: 100%;
        font-size: 15px;
        font-weight: bold;
        color: #179fcb;
        text-decoration: none;
        transition: color .5s;
    }

    .menu li a > span {
        margin-left: 10px;
    }

    .menu li a:hover {
        background-image: linear-gradient(rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2));
        color: #FFFFFF;
        text-decoration: none;
        filter: brightness(90%) contrast(120%);
        transition: all 0.5s;
    }

    .menu li.active a {
        background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0));
        color: #FFFFFF;
        text-decoration: none;
    }

    .menu li.active a:hover {
        cursor: default;
    }
}